Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0009578 [DCSS] Bug Report minor have not tried 2015-03-25 08:22 2015-04-18 21:53
Reporter n1000 View Status public  
Assigned To Lasty
Priority normal Resolution done  
Status resolved   Product Branch 0.16 ancient branch
Summary 0009578: Some ally spells can be memorized despite having sacrificed love
Description Worshiping Ru, sacced love "you are hated by all," but (at least) Summon Forest, Recall, Simulacrum can be memorized from the M screen and aren't greyed out when reading spellbooks.


save: http://crawl.beRotato.org/crawl/saves/n1000-crawl-0.16-150325-0717.tar.bz2 [^]
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0028855)
PleasingFungus (administrator)
2015-04-14 07:44

Currently sacrifice love doesn't block memorizing any spells; spl-util.cc:spell_uselessness_reason() and spl-book.cc:_get_mem_list() should both be adjusted to call some kind of new hateful() function.
(0028882)
XuaXua (reporter)
2015-04-15 22:45

I may be incorrect: Doesn't Summon Forest change floor layout? Should it still work, even if it summons hostiles, or does Sac Love simply neuter summoning?
(0028918)
Lasty (developer)
2015-04-18 21:53

Fixed in 67a59e2ad0496655f13f033c54e015871eb7d3dd. I elected to leave Tukima's Dance usable and block corpse-destruction spells and Summon Forest.

- Issue History
Date Modified Username Field Change
2015-03-25 08:22 n1000 New Issue
2015-04-14 07:44 PleasingFungus Note Added: 0028855
2015-04-15 22:45 XuaXua Note Added: 0028882
2015-04-18 21:53 Lasty Note Added: 0028918
2015-04-18 21:53 Lasty Status new => resolved
2015-04-18 21:53 Lasty Fixed in Branch => 0.17 development branch
2015-04-18 21:53 Lasty Resolution open => done
2015-04-18 21:53 Lasty Assigned To => Lasty


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker